Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 188)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 189)
@@ -3,4 +3,6 @@
 # update :
 # $Id$
+# fplod 2006-09-21T13:05:32Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add an svn id in idldoc-lib.adb
 # fplod 2006-09-20T16:34:38Z aedon.locean-ipsl.upmc.fr (Darwin)
 # suppress ?format=raw
@@ -79,5 +81,5 @@
 set -u
 #
-docompileall=0
+docompileall=1
 dohtml=0
 dooldtest=0
@@ -93,5 +95,5 @@
 doSRCidris=0
 doDTAidris=0
-dodocdownload=1
+dodocdownload=0
 #
 case $( whoami ) in
@@ -389,4 +391,14 @@
       cp ${file_html} ${fout}
     done
+    # add an id in idldoc-lib.adp
+    cat << EOF > /tmp/adp_modification
+<!-- \$Id\$ -->
+EOF
+    sed -e "/<assistantconfig/r /tmp/adp_modification" \
+     ../idldoc_assistant_output/idldoc-lib.adp > \
+     ../idldoc_assistant_output/idldoc-lib.adp_${$}
+    mv ../idldoc_assistant_output/idldoc-lib.adp_${$} \
+    ../idldoc_assistant_output/idldoc-lib.adp
+    rm /tmp/adp_modification
     echo "iii : you can see log file in ${log}"
     echo "iii : and look ${output}/idldoc-warnings.html#undoc"
@@ -532,5 +544,5 @@
 then
     # ++ on pourrait peut-etre faire un rsync en enlevant les .sh et le .xsl
-    # ++ les .sh et le .xsl sont pour l'instant encore là
+    # et faire le ménage des fichiers qui n'existent plus
     echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd several times"
     #
@@ -543,6 +555,7 @@
     find /tmp/download_${$}/ -name ".svn" -exec rm -rf {} \;
     #
-    # replace "../../" by http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/
-    # on ulink lines containing ../../ToBeReviewed/ and ../../Test/
+    # replace relative path 
+    # by http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/
+    # on ulink lines containing ../../ToBeReviewed/ and ../../Test/ and newheader 
     list_html=$(find /tmp/download_${$}/ -name "*.html")
     for file_html in ${list_html}
@@ -552,6 +565,7 @@
      sed -e "/..\/..\/Test/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/+"  ${file_html}  > ${file_html}_${$}
      mv ${file_html}_${$} ${file_html} 
-    done
-    #++scp -rp /tmp/download_${$}/xmldoc/ ${lgforge}@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
+     sed -e "/..\/newheader/s+../../+http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/Documentation/+"  ${file_html}  > ${file_html}_${$}
+     mv ${file_html}_${$} ${file_html} 
+    done
     scp -rp /tmp/download_${$}/* ${lgforge}@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
     rm -rf /tmp/download_${$}/
